Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.utils
Interface GenericAdminHandler

public interface GenericAdminHandler

Subsystems that wish to take advantage of the GenericServiceManager must implement this interface. The manager will create one object of the class that implements this interface for each DeploymentMBean that's deployed on a server.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `activate(DeploymentMBean bean)` If "prepare" succeeds, then this call will be made to activate the service.
`void` | `deactivate(DeploymentMBean bean)` If "activate" was called, then this method is called when it's time to shut down.
`void` | `prepare(DeploymentMBean bean)` This is the first call that is made to the service.
`void` | `unprepare(DeploymentMBean bean)` This method is called to clean everything up if "activate" fails, or after a successful "deactivate".

Method Detail

### activate

    public void activate(DeploymentMBean bean)
                  throws DeploymentException

  If "prepare" succeeds, then this call will be made to activate the service. Here it must complete initialization and throw DeploymentException if anything fails.

  Throws:
    `DeploymentException`

### deactivate

    public void deactivate(DeploymentMBean bean)
                    throws UndeploymentException

  If "activate" was called, then this method is called when it's time to shut down.

  Throws:
    `UndeploymentException`

### prepare

    public void prepare(DeploymentMBean bean)
                 throws DeploymentException

  This is the first call that is made to the service. In here, the service may check its configuration and pre-requisites, but it must not open any files, connect to any databases, register with JNDI, and the like. It may throw DeploymentException if it sees anything it doesn't like.

  Because many instances of an MBean may be created and destroyed in the lifetime of a server, implementations of this class should not cache their DeploymentMBean in a local variable.

  Throws:
    `DeploymentException`

### unprepare

    public void unprepare(DeploymentMBean bean)
                   throws UndeploymentException

  This method is called to clean everything up if "activate" fails, or after a successful "deactivate".

  Throws:
    `UndeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD